package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "订单相关短信验证参数")
public class OrderSendSmsReqVO {

    @ApiModelProperty(value = "订单ID", required = true)
    @NotNull(message = "{order.id.not.null}")
    private Long orderId;

    /**
     * 发送场景
     */
    @NotNull(message = "业务节点不能为空")
    private String nodeValue;

    @NotNull(message = "是否匹配运输方式不能为空")
    private Integer isTransport;

    @NotNull(message = "运输方式不能空")
    private Integer transportId;

    @NotNull(message = "是否多订单不能为空")
    private Integer isOrders;

    @NotNull(message = "发送类型不能为空")
    private Integer messageType;
}
