package cn.iocoder.yudao.module.order.vo.orderObjective;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单目的仓库 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderObjectiveBaseVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "目的地id")
    private Long objectiveId;

    @ApiModelProperty(value = "目的国家id")
    private Long objectiveCountryId;

    @ApiModelProperty(value = "目的仓库id")
    private Long objectiveWarehouseId;

    @ApiModelProperty(value = "目的地详情")
    private String objective;

    @ApiModelProperty(value = "0调仓标志;1原始数据，实际的目的地仓库")
    private Integer type;

    @ApiModelProperty(value = "货到没到这个仓库：0未到；1已到")
    private Boolean isThis;

}
